Subject: [PATCH] ARM: Remove open-coded version of IRQCHIP_DECLARE

From: [email-masked] (Marc Zyngier)
Date: Tue, 06 Oct 2015 16:29:20 +0100

On 05/10/15 00:52, Krzysztof Kozlowski wrote:
> On 03.10.2015 01:24, Marc Zyngier wrote:
>> Now that the IRQCHIP_DECLARE macro has been moved to linux/irqchip.h,
>> it becomes possible to cleanup the open-coded versions of the same
>> macro that have been added to some private irqchips implementations.
>>
>> Cc: Kukjin Kim <[email-masked]>
>> Cc: Krzysztof Kozlowski <[email-masked]>
>> Cc: Shawn Guo <[email-masked]>
>> Cc: Sascha Hauer <[email-masked]>
>> Cc: Tony Lindgren <[email-masked]>
>> Signed-off-by: Marc Zyngier <[email-masked]>
>> ---
>>  arch/arm/mach-exynos/suspend.c       | 3 ++-
> 
> I guess you want to push it through the tip tree? If yes, then for Samsung:
> Acked-by: Krzysztof Kozlowski <[email-masked]>
> 
> (if not then please split it per mach)

I was more angling to have it directly picked up via arm-soc. But
otherwise yes, I can get it merged via tip if everyone agrees to it.

Splitting it per platform is a waste of time.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...